# Class SSIEcho

java.lang.Object
org.apache.catalina.ssi.SSIEcho

All Implemented Interfaces:
  `SSICommand`

public class SSIEcho extends Object implements SSICommand
Return the result associated with the supplied Server Variable.

Author:
  Bip Thelin, Paul Speed, Dan Sandberg, David Becker

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final String`
`DEFAULT_ENCODING`
`protected static final String`
`MISSING_VARIABLE_VALUE`

## Constructor Summary

Constructors
Constructor
Description
`SSIEcho()`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`isValidEncoding(String encoding)`
`long`
`process(SSIMediator ssiMediator, String commandName, String[] paramNames, String[] paramValues, PrintWriter writer)`
Write the output of the command to the writer.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_ENCODING

protected static final String DEFAULT_ENCODING

See Also:
  - Constant Field Values

### MISSING_VARIABLE_VALUE

protected static final String MISSING_VARIABLE_VALUE

See Also:
  - Constant Field Values

## Constructor Details

### SSIEcho

public SSIEcho()

## Method Details

### process

public long process(SSIMediator ssiMediator, String commandName, String[] paramNames, String[] paramValues, PrintWriter writer)
Description copied from interface: `SSICommand`
Write the output of the command to the writer.

Specified by:
  `process` in interface `SSICommand`
Parameters:
  `ssiMediator` - the ssi mediator
  `commandName` - the name of the actual command ( ie. echo )
  `paramNames` - The parameter names
  `paramValues` - The parameter values
  `writer` - the writer to output to
Returns:
  the most current modified date resulting from any SSI commands

### isValidEncoding

protected boolean isValidEncoding(String encoding)